This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 997065 - qpid-stat returns unexpected value in the 'msg' field
qpid-stat returns unexpected value in the 'msg' field
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools (Show other bugs)
2.3
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ernie
Messaging QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 11:15 EDT by Valiantsina Hubeika
Modified: 2015-01-04 17:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valiantsina Hubeika 2013-08-14 11:15:46 EDT
Description of problem:

qpid-stat -q returns an unexpected high value in the 'msg' field


Version-Release number of selected component (if applicable):
qpid-tools-0.18-10


How reproducible:

random

Steps to Reproduce:
Originally QueueBrowser in the EAP6 JCA framework with local transactions was tested. As the test was running I was checking the status of the queue using qpid-stat -q (the output i in the Actual results section)

1. Message Driven Bean is reading messages from mrg_localtx_ha_in and redelivers them to mrg_localtx_ha_out
2. in a loop, QueueBrowser is checking how many messages are present in mrg_localtx_ha_out

Please also note, that there is a fault found in QueueBrowser (which I believe is a separate issue) which moves messages from msgIn to msgOut. Normally in this scenario, no mesages should be removed from  mrg_localtx_ha_out by QueueBrowser.

Actual results:

If I issue qpid-stat -q several times while client is working

vhubeika @rhel6i /root $ 15:47:24 # qpid-stat -q
Queues
  queue                                     dur  autoDel  excl  msg    msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  ==========================================================================================================================
  f2cd02b4-56f5-4395-8fff-9b8ded5a7c74:0.0       Y        Y        0      0      0       0      0        0         1     2
  mrg_localtx_ha_in                                              485k   501k  15.7k   13.0m  13.4m     395k        0     1
  mrg_localtx_ha_out                                             166   15.7k  15.5k   6.51k   395k     389k        0     1
vhubeika @rhel6i /root $ 15:54:14 # qpid-stat -q
Queues
  queue                                     dur  autoDel  excl  msg           msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  =================================================================================================================================
  b4bf96f8-41d0-4fb7-a902-fe30eb1fe626:0.0       Y        Y        0             0      0       0      0        0         1     2
  mrg_localtx_ha_in                                              485k          502k  16.2k   13.0m  13.4m     411k        5     1
  mrg_localtx_ha_out                                            18446744073g  16.2k  16.3k    397    411k     410k        0     1
 
vhubeika @rhel6i /root $ 15:55:15 # qpid-stat -q
Queues
  queue                                     dur  autoDel  excl  msg    msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  ==========================================================================================================================
  f20a5c78-0ab9-4b8e-a561-c31355ece387:0.0       Y        Y        0      0      0       0      0        0         1     2
  mrg_localtx_ha_in                                              485k   502k  16.5k   13.0m  13.4m     417k        5     1
  mrg_localtx_ha_out                                              11   16.5k  16.5k   2.48k   417k     414k        0     1
0     1

vhubeika @rhel6i /root $ 15:55:20 # qpid-stat -q
Queues
  queue                                     dur  autoDel  excl  msg    msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  ==========================================================================================================================
  71178b53-f26d-4511-a396-27a46688a0da:0.0       Y        Y        0      0      0       0      0        0         1     2
  mrg_localtx_ha_in                                              485k   502k  16.5k   13.0m  13.4m     418k        5     1
  mrg_localtx_ha_out                                              56   16.5k  16.5k   3.65k   418k     414k        0     1
0     1

vhubeika @rhel6i /root $ 15:55:21 # qpid-stat -q
Queues
  queue                                     dur  autoDel  excl  msg           msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  =================================================================================================================================
  a534c008-33a3-47f3-9a78-56ef40ca8065:0.0       Y        Y        0             0      0       0      0        0         1     2
  mrg_localtx_ha_in                                              485k          502k  16.6k   13.0m  13.4m     420k        5     1
  mrg_localtx_ha_out                                            18446744073g  16.6k  16.7k    553    420k     420k        1     1

vhubeika @rhel6i /root $ 15:55:26 # qpid-stat -q
Queues
  queue                                     dur  autoDel  excl  msg    msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  ==========================================================================================================================
  afb199c6-e2e4-40c8-90b2-e40b448acfe1:0.0       Y        Y        0      0      0       0      0        0         1     2
  mrg_localtx_ha_in                                              485k   502k  16.7k   13.0m  13.4m     422k        5     1
  mrg_localtx_ha_out                                               9   16.7k  16.7k   2.42k   422k     420k        1     1
1     1

vhubeika @rhel6i /root $ 15:55:29 # qpid-stat -q
Queues
  queue                                     dur  autoDel  excl  msg           msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  =================================================================================================================================
  78fb51aa-8d7a-4e18-af52-cf95d722384c:0.0       Y        Y        0             0      0       0      0        0         1     2
  mrg_localtx_ha_in                                              484k          502k  17.7k   13.0m  13.4m     448k        0     1
  mrg_localtx_ha_out                                            18446744073g  17.7k  17.7k   1.72k   448k     446k        0     1



also if I check the status with qpid-tool i see that msgTotalDequeues  is larger than msgTotalEnqueues !

Object of type: org.apache.qpid.broker:queue:_data(eea79fae-cc9b-f028-eab3-7d4af740d427)
    Attribute              133
    =============================================
    vhostRef               150
    name                   mrg_localtx_ha_out
    durable                False
    autoDelete             False
    exclusive              False
    arguments              {u'no-local': False}
    altExchange            absent
    msgTotalEnqueues       17680
    msgTotalDequeues       17698
    msgTxnEnqueues         17680
    msgTxnDequeues         17698
    msgPersistEnqueues     17680
    msgPersistDequeues     17698
    msgDepth               18446744073709551598
    byteDepth              1723
    byteTotalEnqueues      448570
    byteTotalDequeues      446847
    byteTxnEnqueues        448570
    byteTxnDequeues        446847
    bytePersistEnqueues    448570
    bytePersistDequeues    446847
    msgFtdEnqueues         0
    msgFtdDequeues         0
    byteFtdEnqueues        0
    byteFtdDequeues        0
    msgFtdDepth            0
    byteFtdDepth           0
    releases               7018
    acquires               16187
    discardsTtl            0
    discardsRing           0
    discardsLvq            0
    discardsOverflow       0
    discardsSubscriber     0
    discardsPurge          0
    reroutes               0
    consumerCount          0
    consumerCountHigh      0
    consumerCountLow       0
    bindingCount           1
    bindingCountHigh       1
    bindingCountLow        1
    unackedMessages        0
    unackedMessagesHigh    0
    unackedMessagesLow     0
    messageLatencySamples  0s
    messageLatencyMin      0s
    messageLatencyMax      0s
    messageLatencyAverage  0s
    flowStopped            False
    flowStoppedCount       0
qpid: 



Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.